# List imported numbers

Lists all imported numbers for the project.

Endpoint: GET /v1/projects/{projectId}/importedNumbers
Version: 1.0
Security: Basic, OAuth2.0

## Security:

  - `Basic` (unknown)
    http basic

  - `OAuth2.0` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    Found on your [Sinch Customer Dashboard](https://dashboard.sinch.com/settings/project-management). Settings > Projects.

## Query parameters:

  - `regionCode` (string)
    Region code to filter by. ISO 3166-1 alpha-2 country code of the phone number. Currently supported are US, CA

  - `numberPattern.pattern` (string)
    Sequence of digits to search for. If you prefer or need certain digits in sequential order, you can enter the sequence of numbers here.
When using `START`, a plus sign (+) must be included and URL encoded. For example, to search for area code 206 in the US, the url encoded string would be `%2B1206`

  - `numberPattern.searchPattern` (string)
    Search pattern to apply. The options are, `START`, `CONTAIN`, and `END`.
Numbers that begin with the `numberPattern.pattern` entered. Often used to search for a specific area code.

  - `pageSize` (integer)
    The maximum number of items to return, server can enforce an upper limit and overwrite the value.

  - `pageToken` (string)
    The next page token value returned from a previous listing.

  - `orderBy` (string)
    Parameter used to order the returned hosting orders

  - `servicePlanId` (string, required)
    The hosting order servicePlanId

  - `campaignId` (string, required)
    The hosting order campaignId

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `importedNumbers` (array)
    List of numbers associated to the client project specified in `ListImportedNumbers`.

  - `importedNumbers.phoneNumber` (string)
    The phone number in e.164 format with leading +.
    Example: +12025550134

  - `importedNumbers.projectId` (string)
    The ID of the project resource. You can find your project ID on dashboard.sinch.com.
    Example: YOUR_project_id

  - `importedNumbers.regionCode` (string)
    ISO 3166-1 alpha-2 country code of the phone number. Example US, UK or SE.
    Example: US

  - `importedNumbers.displayName` (string)
    User supplied name for the phone number.
    Example: MyPhoneNumber

  - `importedNumbers.smsConfiguration` (object)
    Configuration for SMS

  - `importedNumbers.smsConfiguration.servicePlanId` (string)
    The current SMS configuration for this number.
The `servicePlanId`` can be found when logging into dashboard.sinch.com
in the SMS>APIs section.
    Example: YOUR_service_plan_id

  - `importedNumbers.smsConfiguration.scheduledProvisioning` (object)
    Ongoing Provisioning for SMS service

  - `importedNumbers.smsConfiguration.scheduledProvisioning.servicePlanId` (string)
    Service plan of the scheduled provisioning task.
    Example: YOUR_service_plan_id

  - `importedNumbers.smsConfiguration.scheduledProvisioning.status` (integer)
    Status of the pending change.

  - `importedNumbers.smsConfiguration.scheduledProvisioning.lastUpdatedTime` (string)
    Timestamp when the status was last updated.

  - `importedNumbers.smsConfiguration.scheduledProvisioning.campaignId` (string)
    The campaign of the scheduled provisioning task.
    Example: YOUR_campaign_id

  - `importedNumbers.smsConfiguration.scheduledProvisioning.errorCodes` (array)
    A list of error codes, if applicable, for the scheduled provisioning task.

  - `importedNumbers.smsConfiguration.campaignId` (string)
    The current campaign ID assigned to this number.
    Example: YOUR_campaign_id

  - `importedNumbers.smsConfiguration.migrateToSinchTmo` (boolean)
    Displays if a number is assigned to another aggregator in T-Mobile's platform, and requires migration from previous aggregator to Sinch.

  - `importedNumbers.callbackUrl` (string)
    The client's callback URL to be called upon finishing the number import.
    Example: https://www.your-callback-server.com/callback

  - `importedNumbers.mnoConfiguration` (object)
    The mnoConfiguration object represents the status and progress of configuration operations for SMS and MMS services across different carriers (AT&T and T-Mobile). Each key within this object (smsAtt, smsTmo, mmsAtt and mmsTmo) corresponds to a specific service type (SMS or MMS) associated with a particular mobile network operator.

  - `importedNumbers.mnoConfiguration.smsAtt` (object)
    Contains information about SMS-enabled ATT&T numbers.

  - `importedNumbers.mnoConfiguration.smsAtt.state` (string)
    Indicates the current state of the operation.
    Enum: "DONE", "FAILED", "IN_PROGRESS", "WAITING", "STATE_UNSPECIFIED"

  - `importedNumbers.mnoConfiguration.smsAtt.errorCode` (string)
    An optional string field that contains an error code if the operation failed. This field is empty ("") when there is no error.

  - `importedNumbers.mnoConfiguration.smsAtt.errorMessage` (string)
    An optional string field that provides a human-readable message describing the error. This field is empty ("") when no error has occurred.

  - `importedNumbers.mnoConfiguration.smsAtt.updateTime` (string)
    A timestamp in ISO 8601 format indicating the last time the status was updated.
    Example: 2025-04-02T19:45:28.650924Z

  - `importedNumbers.mnoConfiguration.smsAtt.operation` (string)
    Specifies the type of action being performed.
    Enum: "PROVISIONING", "DEPROVISIONING", "OPERATION_UNSPECIFIED"

  - `importedNumbers.mnoConfiguration.smsTmo` (object)
    Contains information about SMS-enabled T-Mobile numbers.

  - `importedNumbers.mnoConfiguration.mmsAtt` (object)
    Contains information about MMS-enabled AT&T numbers.

  - `importedNumbers.mnoConfiguration.mmsTmo` (object)
    Contains information about MMS-enabled T-Mobile numbers.

  - `importedNumbers.smsProvisioning` (object)
    An object giving details about the SMS provisioning of the number.

  - `importedNumbers.smsProvisioning.serviceType` (string)
    The type of service.
    Enum: "SMS", "CAMPAIGN"

  - `importedNumbers.smsProvisioning.serviceId` (string)
    A unique identifier for the service being provisioned.
    Example: 0130a21c9ed6461ba3a1fefda83f7ec7

  - `importedNumbers.smsProvisioning.type` (string)
    Specifies the type of operation. This value of this field is either "PROVISIONING" or "DEPROVISIONING".
    Enum: "PROVISIONING", "DEPROVISIONING"

  - `importedNumbers.smsProvisioning.updateTime` (string)
    A timestamp in ISO 8601 format (UTC) indicating the last time the provisioning status was updated.
    Example: 2023-02-02T21:00:07.467353Z

  - `importedNumbers.smsProvisioning.errorMessage` (string)
    If an error occurred during provisioning, this field will contain a descriptive message. It will be an empty string if no error is present.

  - `importedNumbers.smsProvisioning.errorCode` (string)
    If an error occurred during provisioning, this field will contain the error code. This field is also an empty string when no error has occurred.

  - `importedNumbers.campaignProvisioning` (object)
    An object giving details about the campaign provisioning of the number.

  - `importedNumbers.campaignProvisioning.serviceId` (string)
    A unique identifier for the service being provisioned.
    Example: CDCQLGJ

  - `importedNumbers.campaignProvisioning.updateTime` (string)
    A timestamp in ISO 8601 format (UTC) indicating the last time the provisioning status was updated.
    Example: 2023-02-02T21:00:07.467353Z

  - `importedNumbers.campaignProvisioning.errorMessage` (string)
    If an error occurred during provisioning, this field will contain a descriptive message. It will be an empty string if no error is present.

  - `importedNumbers.campaignProvisioning.errorCode` (string)
    If an error occurred during provisioning, this field will contain the error code. This field is also an empty string when no error has occurred.

  - `nextPageToken` (string)
    The token to be used for listing the next page.

  - `totalSize` (integer)
    https://cloud.google.com/apis/design/design_patterns#list_pagination

## Response 400:

  - `400` (unknown)
    If the page_token, number_pattern or order_by is not valid.

## Response 400 fields (application/json):

  - `code` (string)
    The HTTP response code for the error.
    Example: 404

  - `message` (string)
    The friendly message describing the reason for the error response.
    Example: The imported number could not be found.

  - `status` (string)
    The HTTP response status for the error.
    Example: NOT_FOUND

## Response 500:

  - `500` (unknown)
    INTERNAL: Internal server error. Typically, a server bug.

## Response 500 fields (application/json):

  - `code` (string)
    The HTTP response code for the error.
    Example: 404

  - `message` (string)
    The friendly message describing the reason for the error response.
    Example: The imported number could not be found.

  - `status` (string)
    The HTTP response status for the error.
    Example: NOT_FOUND

